Subject: Re: [PATCH] git-filter-branch.sh: Allow running in bare repositories

From: Petr Baudis <[email-masked]>
Date: Thu, 24 Jul 2008 00:06:57 +0200

Hi,

On Wed, Jul 23, 2008 at 10:59:03PM +0100, Johannes Schindelin wrote:
> On Wed, 23 Jul 2008, Petr Baudis wrote:
> 
> > Commit 46eb449c restricted git-filter-branch to non-bare repositories
> > unnecessarily; git-filter-branch can work on bare repositories just
> > fine.
> > 
> > Cc: Johannes Schindelin <[email-masked]>
> 
> Funny, I did not get Cc:ed.

  sorry, I have to copy the Cc around manually with StGIT. :/

> > -git diff-files --quiet &&
> > -	git diff-index --cached --quiet HEAD -- ||
> > -	die "Cannot rewrite branch(es) with a dirty working directory."
> > +if [ "$(is_bare_repository)" = false ]; then
> > +	git diff-files --quiet &&
> > +		git diff-index --cached --quiet HEAD --) ||
> 
>                                                        ^
> 
> I doubt this has ever passed the test suite, let alone run.

  It did... provided that I didn't make after modifying the script.

> Besides, this extra-funny extra indent is quite brutal on my eyes.

  I kept the original indentation.

				Petr "Pasky" Baudis